
//
//        Copyright 2010 Johan Dahlberg. All rights reserved.
//
//  Redistribution and use in source and binary forms, with or without
//  modification, are permitted provided that the following conditions
//  are met:
//
//    1. Redistributions of source code must retain the above copyright notice,
//       this list of conditions and the following disclaimer.
//
//    2. Redistributions in binary form must reproduce the above copyright
//       notice, this list of conditions and the following disclaimer in the
//       documentation and/or other materials provided with the distribution.
//
//  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
//  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
//  AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
//  THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
//  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
//  TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
//  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
//  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
//  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
//  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

exports.Monitor = require("./monitor").Monitor;
exports.createMonitor = require("./monitor").createMonitor;

exports.connect = require("./kernel").connect;
exports.disconnect = require("./kernel").disconnect;
exports.spawn = require("./kernel").spawn;
exports.fork = require("./kernel").fork;
exports.register = require("./kernel").register;
exports.unregister = require("./kernel").unregister;
exports.registered = require("./kernel").registered;
exports.whereis = require("./kernel").whereis;
exports.available = require("./kernel").available;
exports.registerProtocolHandler = require("./kernel").registerProtocolHandler;
exports.unregisterProtocolHandler = require("./kernel").unregisterProtocolHandler;
exports.getProtocolHandler = require("./kernel").getProtocolHandler;
exports.dispatch = require("./kernel").dispatch;
exports.listen = require("./kernel").listen;
exports.unlisten = require("./kernel").unlisten;
exports.ping = require("./kernel").ping;
exports.exit = require("./kernel").exit;
exports.kill = require("./kernel").kill;
exports.isFirstResponder = require("./kernel").isFirstResponder;
exports.getFirstResponder = require("./kernel").getFirstResponder;

exports.Actor = require("./actor").Actor;

exports.monitor = require("./monitor2").monitor;
exports.demonitor = require("./monitor2").demonitor;

exports.map = require("./param").map;
exports.unmap = require("./param").unmap;

exports.init = require("./boot").init;